Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
BufferStream.h File Reference

Libargus API: BufferStream API More...

Go to the source code of this file.

## Classes
class | Argus::Buffer
class | Argus::BufferSettings
class | Argus::IBufferOutputStreamSettings
| Interface that exposes the configuration available to Buffer-based OutputStreams. More...
class | Argus::IBufferOutputStream
| Interface that provides the methods used with Buffer-based OutputStreams. More...
class | Argus::IBuffer
| Interface that provides the core methods for Buffer objects. More...

## Namespaces
namespace | Argus

## Functions
| Argus::DEFINE_UUID (StreamType, STREAM_TYPE_BUFFER, c723d960, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| OutputStream type that writes to application-managed Buffers.
| Argus::DEFINE_NAMED_UUID_CLASS (BufferType)
| Argus::DEFINE_UUID (BufferType, BUFFER_TYPE_NONE, c723d961, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_NAMED_UUID_CLASS (SyncType)
| Argus::DEFINE_UUID (SyncType, SYNC_TYPE_NONE, c723d962, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_BUFFER_OUTPUT_STREAM_SETTINGS, c723d963, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_BUFFER_OUTPUT_STREAM, c723d964, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)
| Argus::DEFINE_UUID (InterfaceID, IID_BUFFER, c723d965, 5231, 11e7, 9598, 18, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus API: BufferStream API

Description: Defines an OutputStream type used to write to application-managed buffers.

Definition in file BufferStream.h.